using System.Collections;
using System.Collections.Generic;
using Godot;
using System;



namespace Rokojori
{
  [Tool]
  [GlobalClass]
  public partial class NormalBlender:X_MeshGeometryModifierResource
  {
    public NormalBlenderSettings settings;
    public override MeshGeometry Modify( MeshGeometry mg )
    { 
      return settings.Blend( mg ); 
    }
    
  }
}